Pro Spaceplot
;+
; A simple demo to plot data in 3-D space
;
; INPUT PARAMETERS:
;     None.
;
;LN@IASF-INAF, April 2000
;-
common aspect_comm, xrot0, zrot0, xrot, zrot

  c = loadct19()

  pp=polygon(48)
  USERSYM, pp, /FILL
  PLOT, pp[0,*],pp[1,*], PSYM=-8, SYMS=2

  ;z=SHIFT(DIST(40), 20, 20)  &  z=EXP(-(z/10)^2)
  z=BESELJ(SHIFT(DIST(30,20), 15, 10)/2., 0)
  SURFACE, z, CHARS=2, AX=xrot, AZ=zrot, /SAVE

; Note that we must keep the CHARSIZE kwd in the PLOT command!
  PLOT,  pp[0,*],pp[1,*], /noera,/nodata, CHARS=2,color=7,zval=.9,/t3d
  OPLOT, pp[0,*],pp[1,*], zval=.9,PSYM=-8,SYMS=2,/t3d
  PLOTS, [[-1,0],[1,0]], col=7,z=0,/t3d

  plot,  [0,30],[0,20], /noera,/nodata, CHARS=2,xsty=4,ysty=4
  plots, [ [0,0],[30,0],[30,20],[0,20],[0,0] ],z=0,psym=-1,syms=2,color=3,/t3d
  plots, [ [0,0],[30,0],[30,20],[0,20],[0,0] ],psym=-1,syms=2,color=3,/t3d

; Exchange the X and Z axes.
  T3D, /XZEXCH
  plots, [ [0,0],[30,0],[30,20],[0,20],[0,0] ], z=1,psym=-1,syms=2,color=2,/t3d
  ;polyfill, [ [0,0],[30,0],[30,20],[0,20],[0,0] ],z=1,/t3d
; Exchange the Y and Z axes.
  T3D, /YZEXCH
  plots, [ [0,0],[30,0],[30,20],[0,20],[0,0] ], z=.5,psym=-1,syms=2,color=4,/t3d

END
