pro histocielo, gif=gif
;+
; Histogram of pixels intensity of a sky picture 
;-

fits_read, 'nuvole.fts', d, h
n1 = n_elements(d)

c = loadct19()

plothist, d, bin=4, /peak, fcol=5, /fill, /fli, chars=1.5, $
  xrange=[-10,225], yrange=[-0.02,1.1],xsty=1, ysty=1, $
  xtit="!6Pixel intensity", $
  ytit="!6Relative Number of pixels"

xyouts, 170, 1, '!17Clouds!6', chars=1.5, color=c[5]

fits_read, 'pleiadi3.fts', d, h
n2 = n_elements(d)
;d=d[0:247,0:239]  ; use a subset?

plothist, d, /peak, /fill, /fline, /overplot, chars=2, fcol=3, bin=4, fori=45
xyouts, 10, 1, '!17Clear!6',chars=1.5,color=c[3]

if keyword_set(gif) then begin
  tvlct, r, g, b, /get
  WRITE_GIF, 'histocielo.gif', tvrd(), r,g,b
  print, '"histocielo.gif" created'
endif

end
